petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexSNESComputeJacobianFEM

Form the local portion of the Jacobian matrix J at the local solution X using pointwise functions specified by the user.

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESComputeJacobianFEM(DM dm, Vec X, Mat Jac, Mat JacP,void *user)

### Input Parameters

| dm | - The mesh
| X | - Local input vector
| user | - The user context

### Output Parameter

Jac -Jacobian matrix

### Note

The first member of the user context must be an FEMContext.

We form the residual one batch of elements at a time. This allows us to offload work onto an accelerator, like a GPU, or vectorize on a multicore machine.

### See Also

FormFunctionLocal()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html